{ config, pkgs, ... }:

{
  # This option may become the default value in the future.
  # https://nix-community.github.io/home-manager/index.html#sec-install-nixos-module
  home-manager.useUserPackages = true;
  # This saves an extra Nixpkgs evaluation, adds consistency,
  # and removes the dependency on NIX_PATH, which is otherwise used for importing Nixpkgs.
  # https://nix-community.github.io/home-manager/index.html#sec-install-nixos-module
  home-manager.useGlobalPkgs = true;

  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {
    /* The home.stateVersion option does not have a default and must be set */
    /* https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion */
    home.stateVersion = "23.05";
  };
}
